package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.MkmjApprovalUserE;

/**
 * web-domain
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:16
 */
public interface MkmjApprovalUserGateway {

    /**
     * 新增
     */
    Boolean add(MkmjApprovalUserE mkmjApprovalUserE);

    /**
     * 修改
     */
    Boolean update(MkmjApprovalUserE mkmjApprovalUserE);

    /**
     * 删除
     */
    Boolean deletedMkmjApprovalUserById(Long id);

    Boolean deletedMkmjApprovalUserByIds(Long[] id);

    MkmjApprovalUserE getByUserId(Long userId);
}

